Skip to main content
PATCH
/
v1
/
rules
/
{rule_id}
Update rule
curl --request PATCH \
  --url https://api.example.com/v1/rules/{rule_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "trigger_event": "<string>",
  "conditions": {},
  "actions": [
    {}
  ],
  "status": "<string>",
  "priority": 123,
  "stop_after_match": true,
  "identity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "trigger_event": "<string>",
  "status": "<string>",
  "priority": 123,
  "stop_after_match": true,
  "conditions": {},
  "actions": [
    "<unknown>"
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "identity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

rule_id
string<uuid>
required

Body

application/json
name
string | null
trigger_event
string | null
conditions
Conditions · object
actions
Actions · object[] | null
status
string | null
priority
integer | null
stop_after_match
boolean | null
identity_id
string<uuid> | null
assistant_id
string<uuid> | null

Response

Successful Response

id
string<uuid>
required
workspace_id
string<uuid>
required
name
string
required
trigger_event
string
required
status
string
required
priority
integer
required
stop_after_match
boolean
required
conditions
Conditions · object
required
actions
any[]
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
identity_id
string<uuid> | null
assistant_id
string<uuid> | null